package werte.zahlen;

import io_package.IO;
import werte.*;

/** Klasse fr ganze Zahlen
 *  @author Jrgen Giesl
 */
public class Int extends Zahl {


    /** Attribute fr den Zhler und den Nenner des Bruchs
     */
    private int ganzeZahl;

    /** generiert eine ganze Zahl durch Eingabe des Benutzers
     */
    public Int () {
	aenderung();
    }
   


    /** generiert eine vorgegebene ganze Zahl
     *  @param ganzeZahl die vorgegebene ganze Zahl
     */
    public Int (int ganzeZahl) {

	this.ganzeZahl = ganzeZahl;

     }

    /** liest eine ganze Zahl von der Tastatur ein
     *  und ndert die aktuelle Zahl entsprechend
     */
    public void aenderung () {

	System.out.print ("Bitte geben Sie die Zahl ein: ");
	ganzeZahl = IO.Eingabe ();
    }




    /** vergleicht zwei Zahlen nach ihrem Wert.
     *  @param zuvergleichen das Objekt Int, mit dem die 
     *         aktuelle Zahl verglichen werden soll
     *  @return true, falls die beiden Int-Zahlen inhaltlich gleich sind und sonst false;
     *   falls "zuvergleichen" kein Int ist, wird eine Fehlermeldung ausgegeben und 
     *   das Ergebnis ist ebenfalls false.
     */
    public boolean gleich (Vergleichbar zuvergleichen) {

	Int b;

	if (zuvergleichen instanceof Int) {
	    b = (Int) zuvergleichen;
	    return (ganzeZahl == b.ganzeZahl);
	}
	else {
	    System.out.println ("Es wurden keine Int-Objekte verglichen.");
	    return false;
	}

    }

    /** gibt die ganze Zahl zurck.
     *  @return die gekapselte ganze Zahl
     */
    public int runde () {

	return ganzeZahl;

    }

    /** berfhrt die ganze Zahl in einen String.
     *  @return String der Zahl
     */

    public String toString () {
	
	return Integer.toString(ganzeZahl);

    }

}
